package com.ruoyi.ucp.entity;

import lombok.Data;

@Data
public class GlycSj {
    //gl	fs	fdjzs	zt	fx	jyjd	dfjd	njwd	djwd	hjwd	jcwd
    //功率	风速	发电机转速	状态点	风向	桨叶1角度	对风角度	U1绕组温度	电机温度2	环境温度	机舱温度
    //AI114	AI066	AI060	AI065	AI067	AI082	AI073	AI004	AI047	AI072	AI074
    private String turbineId;
    private String time;
    private Double gl = 0.0;
    private Double fs = 0.0;
    private Double fdjzs = 0.0;
    private Double zt = 0.0;
    private Double fx = 0.0;
    private Double jyjd = 0.0;
    private Double dfjd = 0.0;
    private Double njwd = 0.0;
    private Double djwd = 0.0;
    private Double hjwd = 0.0;
    private Double jcwd = 0.0;

    public void setGl(Double gl) {
        if (gl == null || gl < 0 || gl > 40000) gl = 0.0;
        this.gl = gl;
    }

    public void setFs(Double fs) {
        if (fs == null || fs < 0 || fs > 25) fs = 0.0;
        this.fs = fs;
    }

    public void setFdjzs(Double fdjzs) {
        if (fdjzs == null || fdjzs < 0 || fdjzs > 30000) fdjzs = 0.0;
        this.fdjzs = fdjzs;
    }

    public void setZt(Double zt) {
        this.zt = zt;
    }

    public void setFx(Double fx) {
        if (fx == null || fx < -360 || fx > 360) fx = 0.0;
        this.fx = fx;
    }

    public void setJyjd(Double jyjd) {
        if (jyjd == null || jyjd < -1000 || jyjd > 1000) jyjd = 0.0;
        this.jyjd = jyjd;
    }

    public void setDfjd(Double dfjd) {
        if (dfjd == null || dfjd < -1000 || dfjd > 1000) dfjd = 0.0;
        this.dfjd = dfjd;
    }

    public void setNjwd(Double njwd) {
        if (njwd == null || njwd < -10 || njwd > 500) njwd = 0.0;
        this.njwd = njwd;
    }

    public void setDjwd(Double djwd) {
        if (djwd == null || djwd < -10 || djwd > 500) djwd = 0.0;
        this.djwd = djwd;
    }

    public void setHjwd(Double hjwd) {
        if (hjwd == null || hjwd < -100 || hjwd > 100) hjwd = 0.0;
        this.hjwd = hjwd;
    }

    public void setJcwd(Double jcwd) {
        if (jcwd == null || jcwd < -100 || jcwd > 800) jcwd = 0.0;
        this.jcwd = jcwd;
    }
    //    private String actualTime;
    //AI004	U1绕组温度
    //AI005	U2绕组温度
    //AI007	V2绕组温度
    //AI008	W1绕组温度
    //AI047	电机温度2
    //AI048	电机温度3
    //AI056	电网功率
    //AI057	电网频率
    //AI069	功率设定值
    //AI114	有功功率
    //AI072	环境温度
    //AI006	V1绕组温度
    //AI065	风机状态点
    //AI066	风速
    //AI067	风向
    //AI074	机舱温度
    //DI025	解缆动作
    //AI073	机舱方向/对风角度
    //AI084	桨叶3角度
    //AI009	W2绕组温度
    //AI037	齿轮箱侧主轴轴承温度
    //AI038	齿轮箱入口油温
    //AI039	齿轮箱入口温度
    //AI060	发电机转速
    //DI022	发电机总故障
    //DI080	总故障
    //AI083	桨叶2角度
    //AI082	桨叶1角度
}
